summaryrefslogtreecommitdiff
path: root/tests/misc/md5sum-parallel.sh
diff options
context:
space:
mode:
authorPádraig Brady <P@draigBrady.com>2015-06-06 14:17:14 +0100
committerPádraig Brady <P@draigBrady.com>2015-06-06 14:27:54 +0100
commit3150ec900c4b8f84978ca4fb80eb109ae0df875c (patch)
tree2fcf37f00b2822b84c1745a649f4b6e8b424ab99 /tests/misc/md5sum-parallel.sh
parent079652ee6b5d3987525ce225518a15253fc9d319 (diff)
downloadcoreutils-3150ec900c4b8f84978ca4fb80eb109ae0df875c.tar.xz
tests: fix false failure in recent test adjustment
* configure.ac: Comment on why we link rather than run the test, and remove the moot __ELF__ check since we never ran it anyway, and the new CFLAGS and LDFLAGS are a more direct test of support. * tests/misc/wc-parallel.sh: Fix a syntax error in the previous change. * tests/misc/md5sum-parallel.sh: Use better error checking, consistent with that used in wc-parallel.sh.
Diffstat (limited to 'tests/misc/md5sum-parallel.sh')
-rwxr-xr-xtests/misc/md5sum-parallel.sh6
1 files changed, 5 insertions, 1 deletions
diff --git a/tests/misc/md5sum-parallel.sh b/tests/misc/md5sum-parallel.sh
index 86f5af76f..2a526bdf2 100755
--- a/tests/misc/md5sum-parallel.sh
+++ b/tests/misc/md5sum-parallel.sh
@@ -20,13 +20,17 @@
. "${srcdir=.}/tests/init.sh"; path_prepend_ ./src
print_ver_ md5sum
+xargs -P2 </dev/null >/dev/null 2>&1 \
+ || skip_ 'xargs -P is required'
+
(mkdir tmp && cd tmp && seq 500 | xargs touch)
# This will output at least 16KiB per process
# and start 3 processes, with 2 running concurrently,
# which triggers often on Fedora 11 at least.
-(find tmp tmp tmp -type f | xargs -n500 -P2 md5sum) |
+(find tmp tmp tmp -type f | xargs -n500 -P2 md5sum 2>err) |
sed -n '/[0-9a-f]\{32\} /!p' |
grep . > /dev/null && fail=1
+compare /dev/null err || fail=1
Exit $fail